Skip to main content
GET
Get Voucher's Redemptions

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

code
string
required

A code that identifies the voucher.

Example:

"2CpRCE2c"

Response

200 - application/json

A dictionary with a redemption_entries property that contains an array of voucher's redemptions.

Response body schema for GET v1/vouchers/{code}/redemption.

quantity
integer | null
required

The maximum number of times a voucher can be redeemed.

redeemed_quantity
integer
required

The number of times the voucher was redeemed successfully.

object
string
default:list
required

The type of the object represented by JSON. This object stores information about redemptions in a dictionary.

url
string
required

URL

Example:

"/v1/vouchers/PROMO-CODE2/redemptions?page=1&limit=10"

data_ref
string
default:redemption_entries
required

Identifies the name of the attribute that contains the array of redemption_entries.

total
integer
required

Total number of redemption objects.

redemption_entries
Vouchers Redemption Get Response Body Redemption Entries Item · object[]
required

Contains the array of successful and failed redemption objects.

This is an object representing a redemption.

Last modified on February 12, 2026